summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 2 insertions, 29 deletions
diff --git a/autogen.sh b/autogen.sh
index 2b2c521..29db9c9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,35 +15,8 @@ banner() {
echo
}
+banner "autoreconf"
-ACLOCAL=${ACLOCAL:=aclocal}
-AUTOHEADER=${AUTOHEADER:=autoheader}
-AUTOMAKE=${AUTOMAKE:=automake}
-AUTOCONF=${AUTOCONF:=autoconf}
-
-$ACLOCAL --version | \
- awk -vPROG="aclocal" -vVERS=1.10\
- '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
-
-$AUTOMAKE --version | \
- awk -vPROG="automake" -vVERS=1.10\
- '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
-
-
-banner "running libtoolize"
-libtoolize --force --copy || exit
-
-banner "running aclocal"
-$ACLOCAL --warnings=syntax || exit
-
-banner "running autoheader"
-$AUTOHEADER || exit
-
-banner "running automake"
-$AUTOMAKE --gnu --add-missing -c --warnings=portability,syntax || exit
-
-banner "running autoconf"
-$AUTOCONF --warnings=cross,syntax || exit
+autoreconf --force --install --symlink -Wall || exit $?
banner "Finished"
-